# addUICallback()

Overrides a UI (frontend) interaction using a callback function. The default action of the Samba's frontend will not execute, and instead your callback will override it.

{% hint style="info" %}
For now only **leaveSession** UI callback is supported.
{% endhint %}

In the below example user will be asked by a confirmation popup before leaving the session:

<pre class="language-javascript"><code class="lang-javascript"><strong>const leaveSessionCallback = () => {
</strong><strong>   console.log('Custom leave session logic called');
</strong><strong>   if (confirm('Are you sure you want to leave the session?')) {
</strong>      sambaFrame.leaveSession();
   }
<strong>};
</strong><strong>
</strong><strong>sambaFrame.addUICallback('leaveSession', leaveSessionCallback);
</strong></code></pre>

{% hint style="info" %}
This method is often used in conjunction with the [removeUICallback](/reference/sdk/methods/removeuicallback.md) method.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalsamba.com/reference/sdk/methods/adduicallback.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
